%define upstream_name    DateTimeX-Easy
%define upstream_version 0.092

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse a date/time string using the best method available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DateTimeX/%{upstream_name}-%{upstream_version}.tar.gz

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(DateTimeX::Easy::DateParse\\)

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateManip)
BuildRequires: perl(DateTime::Format::Flexible)
BuildRequires: perl(DateTime::Format::ICal)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::TimeZone)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Time::Zone)
BuildRequires: perl(YAML)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.92.0-1.mga10
+ Revision: 2141534
- update to 0.092

* Wed Sep 28 2022 tv <tv> 0.91.0-1.mga9
+ Revision: 1893003
- update to 0.091

* Sat Aug 13 2022 tv <tv> 0.90.0-1.mga9
+ Revision: 1877445
- update to 0.090

* Wed Mar 30 2022 tv <tv> 0.89.0-11.mga9
+ Revision: 1834931
- Adapt tests to DateTime-Format-Flexible-0.34, rhbz#1982677, CPAN RT#137397,
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.89.0-10.mga8
+ Revision: 1493913
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.89.0-9.mga7
+ Revision: 1267041
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.89.0-8.mga6
+ Revision: 1025341
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.89.0-7.mga6
+ Revision: 933377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.89.0-6.mga5
+ Revision: 739851
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 0.89.0-5.mga5
+ Revision: 736734
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.89.0-4.mga5
+ Revision: 684293
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.89.0-3.mga4
+ Revision: 510747
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.89.0-2.mga3
+ Revision: 365669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.89.0-1.mga1
+ Revision: 38475
- mageia rebuild
- imported package perl-DateTimeX-Easy

